<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

if ( $vd['table'] == 0 )
{
				widget( "head" );
				include( $path_cache.DS."mod_b2b_Shared_head.php" );
				echo "<s";
				echo "tyle>\r\n.search_select {\r\n  width: 154px;\r\n  color: #555;\r\n  height:24px;\r\n  margin: -1px;\r\n  border: 0px solid #B5B8C8;\r\n  font-size: 14px;\r\n  background: #FFF;\r\n}\r\n.search_s {\r\n   width: 152px;\r\n   height:20px;\r\n   float:left;\r\n   padding: 2px;\r\n   margin: 6px 0 0 0px;\r\n   overflow: hidden;\r\n   border: 1px solid #80CCFF;\r\n   background: #fff;\r\n}\r\n.search_s1 {\r\n   width: 152px;\r\n   height:20px;\r\n ";
				echo "  float:left;\r\n   margin: 0;\r\n   overflow: hidden;\r\n   background: #fff;\r\n}\r\n</style>\r\n<body>\r\n<div class=\"titleDiv\" id=\"titleList\">\r\n<div style=\"float:left\"><a href=\"index.php?a=Home\"><img src=\"";
				echo $vd['sc'];
				echo "images/home.png\" style=\"vertical-align:middle\" border=\"0\"/></a></div><div style=\"float:left;padding-top:8px;padding-left:3px;\"><a href=\"index.php?a=Home\" title=\"回到后台首页\"><font color=\"#000\">桌面</font></a> ";
				echo "<s";
				echo "pan style=\"font-size:7px;\">>></span> <font color=\"#000\">银行汇款账号列表</font> (共 <b>";
				echo "<s";
				echo "pan id=\"tol1\">";
				echo $vd['totlerow'];
				echo "</span></b> 个)</div>\r\n<div style=\"float:right\"><a href=\"index.php?m=mod_home&a=Help&t=admin_b2b_bank_index\" onFocus=\"this.blur()\" title=\"查看汇款银行相关帮助\"><img src=\"";
				echo $vd['sc'];
				echo "images/help.gif\" style=\"vertical-align:middle\" border=\"0\"/></a></div>\r\n</div>\r\n<div class=\"mytitle\" id=\"mytitle\">\r\n  <div class=\"titleOp4\" onmouseover=\"this.className='iconbg4'\" onmouseout=\"this.className='titleOp4'\" onclick=\"delAllSubmit('destroyitems')\">";
				echo "<s";
				echo "amp title=\"先选择您要删除的行,再点此按钮\">\r\n    <div style=\"padding-top:10px;padding-left:9px;\">批量销毁</div></samp>\r\n  </div>\r\n  <div class=\"titleOp4\"  onmouseover=\"if(editRealtime) return;this.className='iconbg4'\" onmouseout=\"if(editRealtime) return;this.className='titleOp4'\" onclick=\"batchEdit(this)\">";
				echo "<s";
				echo "amp title=\"批量修改所选项的记录\">\r\n    <div style=\"padding-top:10px;padding-left:10px;\">实时修改</div></samp>\r\n  </div>\r\n  <div class=\"titleOp2\" onmouseover=\"this.className='iconbg2'\" onmouseout=\"this.className='titleOp2'\" onclick=\"tableRefresh()\" style=\"margin-right:7px\">";
				echo "<s";
				echo "amp title=\"点击刷新本页刷新数据,并保持原来勾选状态\">\r\n    <div style=\"padding-top:10px;padding-left:9px;\">刷新</div></samp>\r\n  </div>\r\n  <div class=\"titleOp4\" onmouseover=\"this.className='iconbg4'\" onmouseout=\"this.className='titleOp4'\" onclick=\"disp('adddiv')\">";
				echo "<s";
				echo "amp title=\"点击刷新本页刷新数据,并保持原来勾选状态\">\r\n    <div class=\"addicon\" style=\"padding-top:10px;padding-left:26px;\">添加</div></samp>\r\n  </div>\r\n  <div style=\"float:right;padding-top:4px;\">\r\n    <form action=\"index.php?m=mod_b2b&c=Bank\" method=\"post\" style=\"margin:0px 0px 0px 0px;\" onsubmit=\"return searchSubmit()\">\r\n    <input type=\"text\" name=\"keywords\" size=\"25\" value=\"";
				echo $vd['keywords'];
				echo "\" style=\"vertical-align:middle;\" class=\"custsearch\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />\r\n    ";
				echo "<s";
				echo "elect name=\"stype\" style=\"vertical-align:middle;font-size:14px;\">\r\n      ";
				option( $vd['sarray'], $vd['stype'] );
				echo "    </select>\r\n    <input type=\"submit\" value=\"银行搜索 &gt;&gt;\" style=\"vertical-align:middle;\" class=\"button\"/>\r\n    </form>\r\n  </div>\r\n</div>\r\n<div id=\"adddiv\" style=\"position:absolute;top:100px;left:230px;;width:320px;display:none\">\r\n  <div style=\"padding:20px;background:#F1F5FA;border:5px #75BCD7 solid\">\r\n  <div style=\"font-size:14px;font-weight:bold;padding:5px;float:left\">添加汇款银行</div>\r\n  <div s";
				echo "tyle=\"float:right;\"><img src=\"";
				echo $vd['sc'];
				echo "images/destroy.gif\" onclick=\"disp('adddiv')\" style=\"cursor:pointer\"/></div>\r\n  <form name=\"form1\" method=\"post\" action=\"index.php?m=mod_b2b&c=Bank&a=Save\" id=\"tform\" style=\"clear:both\">\r\n  <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">\r\n    <tr>\r\n      <td width=\"25%\">开户行</td>\r\n      <td width=\"75%\"><input type=\"text\" name=\"AccountBranch\" size=\"25\"/></td>\r\n    </tr>\r\n    <tr>\r\n      <td wi";
				echo "dth=\"25%\">银行卡号</td>\r\n      <td width=\"75%\"><input type=\"text\" name=\"AccountNO\" size=\"25\"/></td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">户名</td>\r\n      <td width=\"75%\"><input type=\"text\" name=\"AccountName\" size=\"25\"/></td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">开户地</td>\r\n      <td width=\"75%\"><input type=\"text\" name=\"Address\" size=\"25\"/></td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">其他说明</td>\r\n ";
				echo "     <td width=\"75%\"><input type=\"text\" name=\"other\" size=\"25\"/></td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">银行网址</td>\r\n      <td width=\"75%\"><input type=\"text\" name=\"banksite\" size=\"25\"/></td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">相关属性</td>\r\n      <td width=\"75%\">\r\n        <input type=\"checkbox\" name=\"settle\" value=\"1\" class=\"checkbox\"/>用于结算 \r\n        <input type=\"checkbox\" name=\"remit\" val";
				echo "ue=\"1\" class=\"checkbox\"/>用于汇款 \r\n      </td>\r\n    </tr>\r\n    <tr> \r\n      <td width=\"25%\">银行图标</td>\r\n      <td width=\"75%\">\r\n         <div class=\"search_s\">\r\n           ";
				echo "<s";
				echo "pan class=\"search_s1\">\r\n             ";
				echo "<s";
				echo "elect name=\"bankicon\" class=\"search_select\">\r\n                <option value=\"bank_gh.gif\">工商银行</option>\r\n               <option value=\"bank_js.gif\">建设银行</option>\r\n               <option value=\"bank_nh.gif\">农业银行</option>\r\n               <option value=\"bank_yz.gif\">邮政绿卡</option>\r\n               <option value=\"bank_zh.gif\">招商银行</option>\r\n               <option value=\"bank_jh.gif\">交通银行</op";
				echo "tion>\r\n               <option value=\"bank_zg.gif\">中国银行</option>\r\n               <option value=\"bank_gf.gif\">广东发展银行</option>\r\n               <option value=\"bank_pf.gif\">上海浦东发展银行</option>\r\n               <option value=\"bank_sf.gif\">深圳发展银行</option>\r\n               <option value=\"bank_ms.gif\">中国民生银行</option>\r\n               <option value=\"bank_zx.gif\">中信银行</option>\r\n             ";
				echo "  <option value=\"bank_xy.gif\">兴业银行</option>\r\n               <option value=\"bank_gd.gif\">光大银行</option>\r\n               <option value=\"bank_hx.gif\">华夏银行</option>\r\n               <option value=\"bank_alipay.gif\">支付宝</option>\r\n               <option value=\"bank_tenpay.gif\">财付通</option>\r\n               <option value=\"bank_no.gif\">添加后自行编辑</option>\r\n             </select>\r\n           </span>\r\n ";
				echo "        </div>\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\"></td>\r\n      <td width=\"75%\">\r\n        <input type=\"submit\" value=\"添 加\" class=\"button\"/>\r\n        <input type=\"button\" value=\"取 消\" onclick=\"disp('adddiv')\" class=\"button\"/>\r\n      </td>\r\n    </tr>\r\n  </table>\r\n  </form>\r\n  </div>\r\n</div>\r\n<div id=\"menuMask\" class=\"menuMask\" style=\"display:none\">\r\n  <form action=\"?m=mod_b2b&c=Tpl&tpl=bank\" ";
				echo "method=\"post\" style=\"margin:0px\">\r\n  <div class=\"menuContent\">\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tbankicon\" id=\"tbankicon\" onFocus='this.blur()'/>标志<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"branch\" id=\"branch\" onFocus='this.blur()'/>开户行<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"no\" id=\"no\" onFocus='this.blur()'/>银行卡号<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"na";
				echo "me\" id=\"name\" onFocus='this.blur()'/>户名<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"addr\" id=\"addr\" onFocus='this.blur()'/>开户地<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"remarks\" id=\"remarks\" onFocus='this.blur()'/>其他说明<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tbanksite\" id=\"tbanksite\" onFocus='this.blur()'/>银行网址<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tsettle\"";
				echo " id=\"tsettle\" onFocus='this.blur()'/>用于结算<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tremit\" id=\"tremit\" onFocus='this.blur()'/>用于汇款<br/>\r\n  </div>\r\n  <div class=\"menuOp\">\r\n  <input type=\"submit\" value=\"保存\" class=\"button\"/>\r\n  <input type=\"button\" value=\"重置\" class=\"button\" onclick=\"tInfoReset()\"/>\r\n  <input type=\"button\" value=\"取消\" class=\"button\" onclick=\"setMenuMask()\"/>\r\n  </div>\r\n  ";
				echo "</form>\r\n</div>\r\n\r\n<table id=\"thead\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  <tr>\r\n    <td width=\"30px\">\r\n      <input name=\"chkall\" id=\"chkall\" type=\"checkbox\" class=\"checkbox\" onclick=\"CheckAll(this)\" onFocus='this.blur()'/></td>\r\n";
				echo "<td width=\"50px\">标志</td>\n<td width=\"100px\">";
				echo "<s";
				echo "pan class=\"canedit\">开户行</span></td>\n<td width=\"180px\">";
				echo "<s";
				echo "pan class=\"canedit\">银行卡号</span></td>\n<td width=\"60px\">";
				echo "<s";
				echo "pan class=\"canedit\">户名</span></td>\n<td width=\"100px\">";
				echo "<s";
				echo "pan class=\"canedit\">开户地</span></td>\n<td width=\"250px\">";
				echo "<s";
				echo "pan class=\"canedit\">其他说明</span></td>\n<td width=\"250px\">";
				echo "<s";
				echo "pan class=\"canedit\">银行网址</span></td>\n<td width=\"22px\"><b>结</b></td>\n<td width=\"22px\"><b>汇</b></td>\n";
				echo "    <td width=\"22px\">\r\n      <img src=\"";
				echo $vd['sc'];
				echo "images/icon_edit.gif\"/>\r\n    </td>\r\n    <td width=\"22px\">\r\n      <img src=\"";
				echo $vd['sc'];
				echo "images/destroy.gif\"/>\r\n    </td>\r\n    <td class=\"endtd\">\r\n      <div class=\"infoicon\" onclick=\"setMenuMask()\"><b><u>>></u></b></div>\r\n    </td>\r\n  </tr>\r\n</table>\r\n<div id=\"tip\" style=\"display:none\">\r\n  ";
				echo "<s";
				echo "pan id=\"tiptable\">此页中所有 <b>";
				echo "<s";
				echo "pan id=\"ncheck\">";
				echo $vd['nrows'] < $vd['totlerow'] ? $vd['nrows'] : $vd['totlerow'];
				echo "</span></b> 条记录已选中 </span> \r\n  ";
				echo "<s";
				echo "pan id=\"tipspan\">\r\n    <a href=\"javascript:CheckTotle(";
				echo $vd['totlerow'];
				echo ",0)\">点此选择当前列表中所有 <b>";
				echo $vd['totlerow'];
				echo "</b> 条记录>></a>\r\n  </span>\r\n</div>\r\n<div id=\"content\">\r\n";
}
echo "  ";
if ( $vd['totlerow'] == 0 )
{
				echo "  <table  width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  <tr>\r\n    <td align=\"right\" colspan=\"20\">无任何记录</td>\r\n  </tr>\r\n  </table>\r\n  ";
}
echo "  <form id=\"cform\" name=\"form\" method=\"post\" action=\"index.php?m=mod_b2b&c=Bank&a=ItemDeal\" onsubmit=\"return Check();\">\r\n  <table id=\"tbody\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  \r\n  ";
foreach ( $vd['items'] as $item )
{
				echo "  <tr onmouseover=\"setoverbg(this)\" onmouseout=\"setoutbg(this)\">\r\n    <td width=\"30px\">\r\n      <input type=\"checkbox\" name=\"id[]\" id=\"idchk_";
				echo $item['id'];
				echo "\" class=\"checkbox\" value=\"";
				echo $item['id'];
				echo "\" onclick=\"CheckThis(this)\" onFocus='this.blur()'></input>\r\n    </td>\r\n";
				echo "<td width=\"50px\"><img src=\"";
				echo $vd['root'];
				echo "content/mod_shared/skins/upload/";
				echo $item['bankicon'];
				echo "\" border=\"0\"/></td>\n<td width=\"100px\"><nobr>";
				echo "<s";
				echo "amp title=\"";
				echo $item['AccountBranch'];
				echo "\">";
				echo "<s";
				echo "pan onclick=\"toInput(this,";
				echo $item['id'];
				echo ",'AccountBranch')\">";
				echo $item['AccountBranch'];
				echo "</span></samp></nobr></td>\n<td width=\"180px\">";
				echo "<s";
				echo "pan onclick=\"toInput(this,";
				echo $item['id'];
				echo ",'AccountNO')\">";
				echo $item['AccountNO'];
				echo "</span></td>\n<td width=\"60px\">";
				echo "<s";
				echo "pan onclick=\"toInput(this,";
				echo $item['id'];
				echo ",'AccountName')\">";
				echo $item['AccountName'];
				echo "</span></td>\n<td width=\"100px\">";
				echo "<s";
				echo "pan onclick=\"toInput(this,";
				echo $item['id'];
				echo ",'Address')\">";
				echo $item['Address'];
				echo "</span></td>\n<td width=\"250px\"><nobr>";
				echo "<s";
				echo "amp title=\"";
				echo $item['other'];
				echo "\">";
				echo "<s";
				echo "pan onclick=\"toInput(this,";
				echo $item['id'];
				echo ",'other')\">";
				echo $item['other'];
				echo "</span></samp></nobr></td>\n<td width=\"250px\"><nobr>";
				echo "<s";
				echo "amp title=\"";
				echo $item['banksite'];
				echo "\">";
				echo "<s";
				echo "pan onclick=\"toInput(this,";
				echo $item['id'];
				echo ",'banksite')\">";
				echo $item['banksite'];
				echo "</span></samp></nobr></td>\n<td width=\"22px\"><img src=\"";
				echo $vd['sc'];
				toggleimgsrc( $item['settle'] );
				echo "\" onclick=\"toToggle(this,";
				echo $item['id'];
				echo ",'settle')\" alt=\"点击此图片即可修改状态\" onFocus=\"this.blur()\" class=\"mousehand\"/></td>\n<td width=\"22px\"><img src=\"";
				echo $vd['sc'];
				toggleimgsrc( $item['remit'] );
				echo "\" onclick=\"toToggle(this,";
				echo $item['id'];
				echo ",'remit')\" alt=\"点击此图片即可修改状态\" onFocus=\"this.blur()\" class=\"mousehand\"/></td>\n";
				echo "    <td width=\"22px\">\r\n      <a href=\"index.php?m=mod_b2b&c=Bank&a=Detail&id=";
				echo $item['id'];
				echo "\" title=\"编辑银行\" onclick=\"loadDisp(1)\"><img src=\"";
				echo $vd['sc'];
				echo "images/icon_edit.gif\"/></a>\r\n    </td>\r\n    <td width=\"22px\">\r\n      <img src=\"";
				echo $vd['sc'];
				echo "images/destroy.gif\" onclick=\"delSubmit(";
				echo $item['id'];
				echo ",'destroyitems')\" alt=\"销毁汇款银行记录后,是无法恢复的,只能重新添加\" style=\"cursor:pointer\"/>\r\n    </td>\r\n    <td class=\"endtd\"></td>\r\n  </tr>\r\n  ";
}
echo "  \r\n</table>\r\n</form>\r\n<input type=\"hidden\" value=\"";
echo $vd['totlepage'];
echo "\" id=\"totlePage\"/>\r\n<input type=\"hidden\" value=\"";
echo $vd['thispage'];
echo "\" id=\"thisPage\"/>\r\n";
if ( $vd['table'] == 0 )
{
				echo "</div>\r\n\r\n<input type=\"hidden\" value=\"index.php?m=mod_b2b&c=Bank&a=Deals&";
				echo $vd['op'];
				echo "\" id=\"op\"/>\r\n<input type=\"hidden\" value=\"index.php?m=mod_b2b&c=Bank&istable=1&";
				echo $vd['op'];
				echo "\" id=\"url\"/>\r\n<input type=\"hidden\" value=\"";
				echo $vd['op'];
				echo "\" id=\"params\"/>\r\n<div style=\"position:absolute;bottom:0px\">\r\n  <div class=\"tbBottom\" id=\"tbBottom\">\r\n    <div style=\"float:left;padding-top:8px;\">\r\n      ";
				echo "<s";
				echo "trong> 总计 <font color=\"#ff0000\">";
				echo "<s";
				echo "pan id=\"tol2\">";
				echo $vd['totlerow'];
				echo "</span></font> 条</strong>\r\n    </div>\r\n    <div style=\"float:right;text-align:right;\">\r\n    <form id=\"actionform\" method=\"post\" action=\"index.php?m=mod_b2b&c=Bank&";
				echo $vd['op'];
				echo "\" style=\"margin:0px;\" onsubmit=\"loadDisp(1)\">\r\n    <div id=\"page\"></div>\r\n    <div style=\"float:left;margin-top:3px\">\r\n      每页显示<input type=\"text\" name=\"nrows\" size=\"2\" value=\"";
				echo $vd['nrows'];
				echo "\" class=\"pagetxt\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" /> 个 \r\n      到第<input type=\"text\" name=\"page\" size=\"2\" value=\"";
				echo $vd['thispage'];
				echo "\" class=\"pagetxt\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />页<input type=\"submit\" value=\" 确 定 &gt;&gt;\" class=\"pagesub\" />\r\n    </div>\r\n    </form>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div id=\"load\" style=\"display:none;\">\r\n  <div id=\"loadcontent\" >页面加载中请稍等...</div>\r\n</div>\r\n</body>\r\n";
				echo "<s";
				echo "cript type=\"text/javascript\">\r\n//第一参数，后边保留显示的列数\r\n//第二参数，除最后一个参数外的保留参数的总宽度\r\ntRows   = ";
				echo $vd['nrows'] < $vd['totlerow'] ? $vd['nrows'] : $vd['totlerow'];
				echo ";\r\ntInfoA  = Array(2,58);\r\ntotleRows = ";
				echo $vd['totlerow'];
				echo ";\r\ndeltxt  = \"销毁汇款银行记录后,是无法恢复的,只能重新添加,您确定进行销毁操作吗？\";\r\nthisaction = \"销毁\";\r\nthisdel = 0;\r\nstatistics = 0;\r\nvar resizeidx = 6;\r\n</script>\r\n";
				echo "<s";
				echo "cript type=\"text/javascript\">\r\n//当前表格配置\r\n";
				echo " tInfo = Array('tbankicon','branch','no','name','addr','remarks','tbanksite','tsettle','tremit');\n";
				echo "\r\n</script>\r\n";
				echo "<s";
				echo "cript src=\"";
				echo $vd['sc'];
				echo "js/tools.js\" type=\"text/javascript\"></script>\r\n</html>\r\n";
}
?>
